.slideshow-container {
    position: absolute;
	left: 1vw;
	width: 45%; /*largeur du slideshow */
}
.mySlides {
    display: none;
	display: flex;
	border-radius: 30px;
	border-style: solid;
	border-width: 2px;
	border-color: rgba(255, 255, 255, 0);
}
img {
    height: auto; /* Maintenir le ratio d'aspect */
}
.fade {
	position: absolute;
	animation: fade 3s ease-in-out;
}
@keyframes fade {
    from { opacity: 0; }
    to { opacity: 1; }
}
@keyframes slideshow {
    0% { opacity: 1; }
    25% { opacity: 1; }
    30% { opacity: 0; }
    100% { opacity: 0; }
}
@media (min-width: 50px) {
    .mySlides {
		display: block; /* Afficher tous les slides en permanence */
        position: absolute;
        opacity: 0; /* Masquer initialement */
    }
    .mySlides:nth-child(1) { display: block; animation: slideshow 12s infinite; }
    .mySlides:nth-child(2) { display: block; animation: slideshow 12s infinite; animation-delay: 3s; }
    .mySlides:nth-child(3) { display: block; animation: slideshow 12s infinite; animation-delay: 6s; }
    .mySlides:nth-child(4) { display: block; animation: slideshow 12s infinite; animation-delay: 9s; }
}
/* Style de base de l'icône */
.icon {
    position: relative; /* Nécessaire pour la position de la pastille */
    display: inline-block;
}
.icon img {
    display: block; /* S'assure que l'image s'adapte bien */
    height: 30px; /* Hauteur définie */
}
/* Style de la pastille */
.icon::after {
    content: attr(data-count); /* Affiche le nombre */
    position: absolute;
    top: -10px;
    right: -10px;
    width: 15px;
    height: 15px;
    background-color: rgb(92, 240, 6);
    color: rgb(0, 0, 0);
    font-size: 12px;
    border-radius: 50%;
    text-align: center;
    line-height: 15px;
    border: 2px solid white;
}

/* Si aucune donnée n'est présente, on masque la pastille */
.icon[data-count="0"]::after {
    display: none;
}
body,html{
	background-color: red;	
	text-align: center;
	width: 99%;
	min-height: 100%;
	}
table{
		width: 95%;
		margin: auto;
		text-align: center;
	}
td{
	border-style: solid; 
	border-width: 2px;
	border-color: rgb(19, 232, 12);
}
h1{
    font-size:2.5vw;
}
h2{
    font-size:2vw;
}
h3{
    font-size:1.5vw;
	color: white;
}
h6{
    font-size:2vw;   /*  h6 pour MOMENTANEMANT INDISPONIBLE */
	color: rgb(248, 24, 24);
}
p{
	font-size:1.5vw;
	color: white;
}
a {
	color: white; 
  }
a:hover {
	color: white; 
  }
a:visited {
	color: white; 
  }
  
font.separation{
	color: white;
	font-size:3vw;
}
button {
    background-color: #4CAF50;
    color: white; 
    padding: 12px 24px; /* Espacement interne */
    font-size: 16px; /* Taille du texte */
    border: none;
    border-radius: 8px; /* Coins arrondis */
    cursor: pointer; /* Curseur "pointer" au survol */
    box-shadow: 0 4px #999; /* Ombre en bas */
    transition: all 0.3s ease; /* Transition pour les effets */
}
button:hover {
    background-color: #45a049; 
	transform: translateY(1px); /* Déplacement léger */
}
button:active {
    background-color: #3e8e41; 
    box-shadow: 0 2px #666; /* Réduction de l'ombre */
    transform: translateY(2px); /* Déplacement léger */
}
input[type="number"] {
    width: 80px; /* Largeur du champ */
    padding: 10px; /* Espacement interne */
    font-size: 16px; /* Taille du texte */
    border: 2px solid #ccc; /* Bordure grise */
    border-radius: 5px; /* Coins arrondis */
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1); /* Ombre interne */
    transition: all 0.3s ease; /* Transition pour les effets */
}

input[type="number"]:focus {
    border-color: #4CAF50; /* Bordure verte au focus */
    box-shadow: 0 0 5px rgba(76, 175, 80, 0.5); /* Ombre verte au focus */
    outline: none; /* Supprime le contour par défaut */
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none; /* Supprime les boutons par défaut */
    margin: 0; /* Supprime la marge */
}

input[type="number"]::placeholder {
    color: #999; /* Couleur du texte de l'espace réservé */
    font-style: italic; /* Style du texte de l'espace réservé */
}

/*    le div en question utilisé presque partout -----------------------------------------------------------------  */
div.container {
	position: absolute;
	width: 97%; 
	border-style: solid; 
	border-width: 2px;
	border-color: rgb(232, 12, 12);
	margin-left: 1vw;
}
div.menu{
	position: relative;
	display: flex;
	justify-content: space-between;
	align-items: center;
	top: 0.5vw;
	border-radius: 30px;
	border-style: solid;
	border-width: 2px;
	border-color: white;
	box-shadow: 0px 10px 10px rgb(176, 174, 174);
}
div.blocentete {
	position: relative;
	min-height: 70vh;
	overflow: hidden;
	margin-top: 0.5vw;
	border-radius: 30px;
	border-style: solid;
	border-width: 2px;
	border-color: rgb(32, 7, 223);
	box-shadow: 0px 10px 10px rgb(176, 174, 174);
}
div.textintro{
	position: relative;
	color: white;	
	text-align: center;	
	height: 60vh;
	width:45%;
	left: 50%;
	border-radius: 30px;
	border-style: solid;
	border-width: 2px;
	border-color: rgb(10, 182, 56);
	box-shadow: 0px 10px  10px rgb(176, 174, 174);
	padding: 10px 10px 10px 10px;
}
div.bloccontenu{
	position: relative;
	background-color: #9d9696;
	text-align: left;
    top: 60px; 
	width: 90%;
	border-radius: 30px;
	border-style: solid;
	border-width: 2px;
	border-color: rgb(236, 240, 15);
	box-shadow: 4px 10px 10px 10px rgb(62, 61, 61);
	padding:  1vw 1vw 1vw 1vw;
	margin-left: 4vw;
}
div.footer{
	position: relative;
	text-align: center;
	border-style: solid;
	border-width: 1vw;
	border-color: rgba(255, 255, 255, 0);
	padding: 20px 10px 10px;
}
  /* utilisé pour 404.php et responsive-image----------------------------------------------------------------- */
.centered-container {
	text-align: center;
	position: relative;
} 
.responsive-image {
    max-width: 100%;
	min-width: 50px;
  }
/*partie mouse scroll greg--------------------------------------*/	
.scroll-downs {
	position: relative;
  	top: 90%;
 	 left: 50%;
 	 transform: translate(-50%, -50%);
 	 width: 5vw;
 	 height: 7vh;
 	 text-align: center;
 	 z-index: 10;
}
  .mousey {
	width: 5px;
	padding: 10px 15px;
	height: 35px;
	border: 4px solid #fff;
	border-radius: 25px;
	opacity: 0.75;
	box-sizing: content-box;
	z-index: 11;
}
  .scroller {
	width: 5px;
	height: 12px;
	border-radius: 25%;
	background-color: #fff;
	animation-name: scroll;
	animation-duration: 2.5s;
	animation-timing-function: cubic-bezier(.15,.41,.69,.94);
	animation-iteration-count: infinite;
	z-index: 12;
}
  @keyframes scroll {
	0% { opacity: 0; }
	50% { transform: translateY(0); opacity: 1; }
	100% { transform: translateY(15px); opacity: 0;}
}
a.menuB{  
	position: relative;
	outline: none;
    text-decoration: none;
	color: white;
	text-align: center;
	font-size: 2.5vw;
}
a.menuB:hover{
	color: white;
}
a.menuB:hover::before {
  transform: scaleX(1);
  transform-origin: bottom left;
	border-radius: 30px;
}
a.menuB::before {
	transform: scaleX(0);
  transform-origin: bottom right;
  content: " ";
  display: block;
  position: absolute;
  top: 0; right: 0; bottom: 0; left: 0;
  background: rgba(255,255,255,0.1);
  z-index: -1;
  transition: transform 1s ease;
	border-radius: 30px;
}
/** Partie slideshow / Carousel ------------------------------------------------------------------------------------------**/
.slideshow {
   list-style-type: none;
}
.slideshow,
.slideshow:after { 	
    width: 35%;
    height: 30%;
    left: 0px;
    z-index: 8; 
}
.slideshow li span { 
	position: absolute;
    width: 400px;  
    height: 65vh;
    top: 0px;
    left: 1vw;
    color: transparent;
    background-size: cover;
    opacity: 0;
    z-index: 0;
    animation: imageAnimation 30s linear infinite 0s;
	border-style: solid;
	border-width: 2px;
	border-color: white;
	box-shadow: 0px 20px 30px white;
	padding: 10px 10px 10px;
}

.slideshow li:nth-child(1) span { 
    background-image: url("../images/vieille1.jpeg");
	border-radius: 30px;	
}
.slideshow li:nth-child(2) span { 
    background-image: url("../images/vieux1.jpeg");
	border-radius: 30px;
    animation-delay: 6s; 
}
.slideshow li:nth-child(3) span { 
    background-image: url("../images/cannes1.jpeg");
	border-radius: 30px;
    animation-delay: 12s; 
}
.slideshow li:nth-child(4) span { 
    background-image: url("../images/fauteuil1.jpeg");
	border-radius: 30px;
    animation-delay: 18s; 
}
.slideshow li:nth-child(5) span { 
    background-image: url("../images/sam.jpeg");
	border-radius: 30px;
    animation-delay: 24s; 
}
@keyframes imageAnimation { 
    0% { opacity: 0; animation-timing-function: ease-in; }
    8% { opacity: 1; animation-timing-function: ease-out; }
    17% { opacity: 1 }
    30% { opacity: 0 }
    90% { opacity: 0 }
}
@keyframes titleAnimation { 
    0% { opacity: 0 }
    8% { opacity: 1 }
    17% { opacity: 1 }
    19% { opacity: 0 }
    100% { opacity: 0 }
}
.no-cssanimations .cb-slideshow li span {
	opacity: 1;
}
 /*    Dropdown Button HAMBURGER--------------------------------------------------------*/
 button.dropbtn {
  background-color: #2618c2;
  color: rgb(188, 23, 185);  
  font-size: 12vw;
  border: none;
}
.dropdown {
  position: relative;
  display: inline-block;
}
/* Dropdown Content (Hidden by Default) */
.dropdown-content {
  display: none;
  position: absolute;
  background-color: #89890a;  /* couleur du fond de la popup */
	width: 20vw;
  min-width: 160px;
	border-radius: 30px;
	border-style: solid;
	border-width: 0px;
	border-color: rgba(255, 255, 255, 0);
  z-index: 1;
	text-align: center;
}
/* Links inside the dropdown */
.dropdown-content a {
  padding: 5px 5px;	
  text-decoration: none;
  display: block;
}
/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {
	display: block;
}
/* la couleur du bouton quand on survole */
.dropdown:hover .dropbtn {
	background-color: #9b2222;
} 